<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SecUser extends Model
{
    protected $table = 'public.sec_user';

    public function lotes()
    {
        return $this->hasMany(Lote::class, 'criado_por_id', 'id', 'modificado_por_id');
    }

    public function lotesTramites()
    {
        return $this->hasMany(LoteTramite::class, 'criado_por_id', 'id', 'modificado_por_id');
    }

    
}
